/**
 * Creates a validation functions that validates the range of a string, number or date.
 *
 * @param requirement The maximum range.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export function maxRange(requirement, error) {
    return (value) => (value || value === 0) && value > requirement ? error : '';
}
