/**
 * Creates a validation functions that validates the range of a string, number or date.
 *
 * @param requirement The minimum range.
 * @param error The error message.
 *
 * @returns A validation function.
 */
export function minRange(requirement, error) {
    return (value) => (value || value === 0) && value < requirement ? error : '';
}
