/**
 * Creates a validation functions that validates a URL.
 *
 * @param error The error message.
 *
 * @returns A validation function.
 */
export function url(error) {
    return (value) => {
        try {
            value && new URL(value);
            return '';
        }
        catch (_) {
            return error;
        }
    };
}
