import type { FieldArrayPath, FieldValues, FormStore, ResponseData } from '../types';
/**
 * Value type of the remove options.
 */
export type RemoveOptions = {
    at: number;
};
/**
 * Removes a item of the field array.
 *
 * @param form The form of the field array.
 * @param name The name of field array.
 * @param options The remove options.
 */
export declare function remove<TFieldValues extends FieldValues, TResponseData extends ResponseData>(form: FormStore<TFieldValues, TResponseData>, name: FieldArrayPath<TFieldValues>, { at: index }: RemoveOptions): void;
